# QwtCPointerData Class Reference

Data class containing two pointers to memory blocks of doubles. More...

`#include <qwt_data.h>`

Inheritance diagram for QwtCPointerData:
[legend]

List of all members.

## Public Member Functions

| QwtCPointerData (const double *x, const double *y, size_t size)
QwtCPointerData & | operator= (const QwtCPointerData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
const double * | xData () const
const double * | yData () const
virtual QwtDoubleRect | boundingRect () const

## Detailed Description

Data class containing two pointers to memory blocks of doubles.

## Constructor & Destructor Documentation

QwtCPointerData::QwtCPointerData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size |
| ) |  |  |

Constructor

Parameters:

  | x | Array of x values
  | y | Array of y values
  | size | Size of the x and y arrays

Warning:
  The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also:
  QwtPlotCurve::setData(), QwtPlotCurve::setRawData()

## Member Function Documentation

QwtDoubleRect QwtCPointerData::boundingRect | ( |  | ) | const`[virtual]`

Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == false

Reimplemented from QwtData.

QwtData * QwtCPointerData::copy | ( |  | ) | const`[virtual]`

Returns:
  Pointer to a copy (virtual copy constructor)

Implements QwtData.

QwtCPointerData & QwtCPointerData::operator= | ( | const QwtCPointerData & | data | ) |

Assignment.

size_t QwtCPointerData::size | ( |  | ) | const`[virtual]`

Returns:
  Size of the data set

Implements QwtData.

double QwtCPointerData::x | ( | size_t | i | ) | const`[virtual]`

Return the x value of data point i

Parameters:

  | i | Index

Returns:
  x X value of data point i

Implements QwtData.

const double * QwtCPointerData::xData | ( |  | ) | const

Returns:
  Array of the x-values

double QwtCPointerData::y | ( | size_t | i | ) | const`[virtual]`

Return the y value of data point i

Parameters:

  | i | Index

Returns:
  y Y value of data point i

Implements QwtData.

const double * QwtCPointerData::yData | ( |  | ) | const

Returns:
  Array of the y-values